import React from 'react';
interface IContentTabOption {
    /**
     * Defines the appearance of the tab element
     */
    className?: string;
    /**
     * Defines the appearance of disabled tab
     */
    disabled?: boolean;
    /**
     * Defines the uniquness of the tabs
     */
    id: string;
    /**
     * Defines the tab content
     */
    label: React.ReactElement | ((selected: boolean) => React.ReactElement) | string;
    /**
     * Defines the panel content
     */
    panel: React.ReactElement;
}
export interface IContentTabsProps extends Omit<React.ComponentPropsWithoutRef<'div'>, 'onChange'> {
    /**
     * Defines the default selected index
     */
    defaultIndex?: number;
    /**
     * Defines the tab list appearance
     */
    tabListClass?: string;
    /**
     * Defines the keyboard navigation
     */
    manual?: boolean;
    /**
     * Defines the callback to use tabs as controlled component
     */
    onChange?: (index: number) => void;
    /**
     * Defines the appearance of the panels
     */
    panelsClass?: string;
    /**
     * Defines the appearance of specific panel
     */
    panelClass?: string;
    /**
     * Defines the selected index for controlled tab panels
     */
    selectedIndex?: number;
    /**
     * Defines no of panels
     */
    tabs: IContentTabOption[];
}
export declare function ContentTabs({ className, defaultIndex, tabListClass, manual, onChange, panelsClass, panelClass, selectedIndex, tabs, }: IContentTabsProps): JSX.Element;
export {};
//# sourceMappingURL=ContentTabs.d.ts.map