import React from 'react';
import { UnitToType } from '../../utils/autoScaleUnitValue';
export interface ICarbonIntensityScorePillProps extends React.ComponentPropsWithoutRef<'div'> {
    /**
     * Define impact value per gram. Not used if `score` prop is given.
     */
    impact?: number;
    /**
     * Define pre-calculated carbon intensity score.
     */
    score?: number;
    /**
     * Defines the unit of each impact based on weight, volume or sli type.
     * Based on this unit, autoScale value will be displaye corresponding possible units
     */
    unit?: string;
    /**
     * Defines the unit of each impact based on which fixed scale up or down of value will be done
     */
    unitTo?: UnitToType;
}
export declare function CarbonIntensityScorePill({ className, impact, score, unit, unitTo, ...rest }: ICarbonIntensityScorePillProps): JSX.Element;
//# sourceMappingURL=CarbonIntensityScorePill.d.ts.map