import { ImpactGradesEnum, ImpactValueEnum } from '../constants/impactConstants';
interface IcalculateScore {
    value: number;
    type?: ImpactValueEnum;
}
export declare function calculateCarbonScore({ value }: IcalculateScore): number;
export declare function calculateWaterUsageScore({ value }: IcalculateScore): number;
export declare function calculateWaterPollutionScore({ value }: IcalculateScore): number;
export declare function calculateBiodiversityScore({ value }: IcalculateScore): number;
export declare function calculateScore({ type, value }: IcalculateScore): number;
interface IcalculateTotalScoreGrade {
    impacts: Record<ImpactValueEnum, {
        grade: ImpactGradesEnum;
        score: number;
    }>;
}
export declare function calculateTotalScoreGrade({ impacts }: IcalculateTotalScoreGrade): {
    grade: string | undefined;
    score: number;
};
interface IcalculateGradeScore {
    impacts: Record<ImpactValueEnum, number>;
}
export declare function calculateScoreGrade({ impacts }: IcalculateGradeScore): any;
export {};
//# sourceMappingURL=gradeScoreCalc.d.ts.map